Package org.eclipse.wst.xsl.ui.internal.contentoutline

## org.eclipse.wst.xsl.ui.internal.contentoutline
Class JFaceNodeContentProvider

    public class JFaceNodeContentProvider
    extends java.lang.Object

An ITreeContentProvider for a TreeViewers used to display DOM nodes. This content provider takes an adapter factory to create JFace adapters for the nodes in the tree.

## Constructor Summary

`JFaceNodeContentProvider()`

## Method Summary

`public void` | `dispose()` The visual part that is using this content provider is about to be disposed. Deallocate all allocated SWT resources.
`protected IJFaceNodeAdapter` | `getAdapter(java.lang.Object adaptable)` Returns the JFace adapter for the specified object.
`public java.lang.Object[]` | `getChildren(java.lang.Object object)`
`public java.lang.Object[]` | `getElements(java.lang.Object object)`
`public java.lang.Object` | `getParent(java.lang.Object object)`
`public boolean` | `hasChildren(java.lang.Object object)`
`public void` | `inputChanged(Viewer viewer , java.lang.Object oldInput , java.lang.Object newInput)`

## Constructor Detail

## JFaceNodeContentProvider

`public JFaceNodeContentProvider()`

## Methods Detail

## dispose

`public void dispose()`

The visual part that is using this content provider is about to be disposed. Deallocate all allocated SWT resources.

## getAdapter

`protected IJFaceNodeAdapter getAdapter(java.lang.Object adaptable)`

Returns the JFace adapter for the specified object.

### Parameters

`adaptable` - java.lang.Object The object to get the adapter for

### Returns

`IJFaceNodeAdapter`

## getChildren

`public java.lang.Object[] getChildren(java.lang.Object object)`

### Parameters

`object`

### Returns

`java.lang.Object[]`

## getElements

`public java.lang.Object[] getElements(java.lang.Object object)`

### Parameters

`object`

### Returns

`java.lang.Object[]`

## getParent

`public java.lang.Object getParent(java.lang.Object object)`

### Parameters

`object`

### Returns

`java.lang.Object`

## hasChildren

`public boolean hasChildren(java.lang.Object object)`

### Parameters

`object`

### Returns

`boolean`

## inputChanged

`public void inputChanged(Viewer viewer , java.lang.Object oldInput , java.lang.Object newInput)`

### Parameters

`viewer`

`oldInput`

`newInput`